Package org.h2gis.functions.spatial.distance

# Class ST_ProjectPoint

java.lang.Object
org.h2gis.api.AbstractFunction
org.h2gis.api.DeterministicScalarFunction
org.h2gis.functions.spatial.distance.ST_ProjectPoint

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

public class ST_ProjectPoint extends org.h2gis.api.DeterministicScalarFunction

Author:
  Erwan Bocher

## Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

## Constructor Summary

Constructors
Constructor
Description
`ST_ProjectPoint()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getJavaStaticMethod()`
`static org.locationtech.jts.geom.Point`
`projectPoint(org.locationtech.jts.geom.Geometry point, org.locationtech.jts.geom.Geometry geometry)`
Project a point on a linestring or multilinestring

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

## Constructor Details

### ST_ProjectPoint

public ST_ProjectPoint()

## Method Details

### getJavaStaticMethod

public String getJavaStaticMethod()

### projectPoint

public static org.locationtech.jts.geom.Point projectPoint(org.locationtech.jts.geom.Geometry point, org.locationtech.jts.geom.Geometry geometry) throws SQLException
Project a point on a linestring or multilinestring

Parameters:
  `point` -
  `geometry` -
Returns:
Throws:
  `SQLException`